<?php
/***************************************************************************
 * Xlrstats Webmodule
 * Webrfront for XLRstats for B3 (www.bigbrotherbot.com)
 * (c) 2004, 2005 www.xlr8or.com (mailto:xlr8or@xlr8or.com)
 ***************************************************************************/

/***************************************************************************
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License as published by
 *  the Free Software Foundation; either version 2 of the License, or
 *  (at your option) any later version.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU Library General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 *
 *  http://www.gnu.org/copyleft/gpl.html
 ***************************************************************************/

//*******************
// Global config
//*******************

// Database login info

$db_host = "localhost";
$db_user = "xxxxxx";
$db_pass = "xxxxxx";
$db_db = "xxxxxx";

// Logo height in pixels (actual height of logo.gif in the img folder) background color for table can be modified in style.css > .header
$logoheight = "75";

// URL to my website, make empty if XLRstats is standalone.
$mysiteurl = "www.yourwebsite.org";        // URL (without the http:// part!) -> "" if you dont want a link to a homepage included
$mysitelinkname = "Homepage";      // Short name that appears in navigation to describe the link back to your site

// Use signature module? --> You must have php version 4.3.2 or newer with php4-gd extension installed!
$sig = 0;
$xlrstats_url = "http://www.yourwebsite.org/xlrstats/"; // What URL is xlrstats gonna be accessible through (incl. trailing / and no index.php!)?

// Title of the statistics pages
$statstitle = "Call of Duty 4 XLRstats";

// Welcome message at the top of the statspage. (HTML tags are allowed)
$welcome = "These are the statistics for our gameserver(s). here you can see how you are doing compared to our other gamers. The statistics are all in REAL-TIME, meaning each kill and death is immediately saved in our database and
  skill and ratio are calculated at the same time. Have you played on this server? Then type your last used
  nickname in the playersearch field and see what you have achieved so far. You can also click your way through
  the stats and find out about map-stats, weapon-stats and other stuff. Do you want to learn how these stats work?
  Then <a href=\"help.php\">[ visit our help section ]</a>. Also make sure you read
  the <a href=\"help.php\">[ help section ]</a> first, before asking questions in
  our forums.
";

// Number of players/maps/weapons in mainpage top lists
$toplist_max = 25;
$maplist_max = 13;
$weaplist_max = 10;
$separatorline = 1; //Draw a 1 pixel separator line in the toplist between rows? 0 = nope, 1 = yep.

// Nubmer of players in block.php an inclusion file for websites.
$toplist_block = 10;
// number of characters in username (block) before breaking off.
$user_length = 14;

// minimum amount of kills or rounds (which ever comes first) before a player is included in the mainpage player statistics and awards...
$minkills = 10; //250;
$minrounds = 1; //15;

//number of days a player is still displayed if he hasn't played anymore.
$maxdays = 14;

// Minimum kills or rounds (which ever comes first) before a player is displayed on map-page
$map_minkills = 10;
$map_minrounds = 1;

// Minimum kills before a player is displayed on weapon-page
$weap_minkills = 25;

// Minimum grouplevel to hide aliases on playerpages, this will show aliases for players with a lower level. Disable aliases by setting it to 0
$aliashide_level = 2;

// Number of worst enemies in personal playerpages
$enemies_max = 10;

// Do you want a Clan Searchbox on the index page? (0 = nope, 1 = yep)
$showclansearch = 1;

// Do you want to display times for your local timezone? (0 = no, just use GMT; 1 = yes)
$use_localtime = 1;

//********************
// Table names
//********************

// B3 tables
$t['b3_clients'] = "clients";
$t['b3_groups'] = "groups";
$t['b3_clients_groups'] = "clients_groups";
$t['b3_aliases'] = "aliases";

//stats tables
$t['players'] = "xlr_playerstats";
$t['weapons'] = "xlr_weaponstats";
$t['maps'] = "xlr_mapstats";
$t['bodyparts'] = "xlr_bodyparts";
$t['opponents'] = "xlr_opponents";
$t['weaponusage'] = "xlr_weaponusage";
$t['playerbody'] = "xlr_playerbody";
$t['playermaps'] = "xlr_playermaps";



//*********************
// Weapons names
//*********************
//Stock CoD4
$w['ac130_25mm_mp'] = "AC 130 25mm";
$w['ac130_40mm_mp'] = "AC 130 40mm";
$w['ac130_105mm_mp'] = "AC 130 105mm";
$w['airstrike_mp'] = "Air Strike";
$w['ak47_acog_mp'] = "AK-47 ACOG";
$w['ak47_gl_mp'] = "AK-47 Grenade Launcher";
$w['ak47_mp'] = "AK-47";
$w['ak47_reflex_mp'] = "AK-47 Reflex";
$w['ak74u_acog_mp'] = "AK-74u ACOG";
$w['ak74u_mp'] = "AK-74u";
$w['ak47_silencer_mp'] = "AK-47 Silencer";
$w['ak74u_reflex_mp'] = "AK-74u Reflex";
$w['ak74u_silencer_mp'] = "AK74u Silencer";
$w['artillery_mp'] = "Artillery";
$w['at4_mp'] = "AT4";
$w['aw50_acog_mp'] = "AW-50 ACOG";
$w['aw50_mp'] = "AW-50";
$w['barrett_acog_mp'] = "Barrett-50 ACOG";
$w['barrett_mp'] = "Barrett-50";
$w['beretta_mp'] = "Beretta";
$w['beretta_silencer_mp'] = "Beretta Silencer";
$w['binoculars_mp'] = "Binoculars";
$w['brick_blaster_mp'] = "Brick Blaster";
$w['brick_bomb_mp'] = "Brick Bomb";
$w['briefcase_bomb_defuse_mp'] = "Bomb Defuse";
$w['briefcase_bomb_mp'] = "Bomb Set";
$w['c4_mp'] = "C-4";
$w['claymore_mp'] = "Claymore Mine";
$w['cobra_20mm_mp'] = "Cobra 20mm";
$w['cobra_ffar_mp'] = "Cobra Rocket";
$w['colt45_mp'] = "Colt .45";
$w['colt45_silencer_mp'] = "Colt .45 Silencer";
$w['concussion_grenade_mp'] = "Concussion Grenade";
$w['defaultweapon_mp'] = "Default Weapon";
$w['deserteagle_mp'] = "Colt Desert Eagle";
$w['deserteaglegold_mp'] = "Colt Desert Eagle Gold";
$w['destructible_car'] = "Exploding Vehicle";
$w['dragunov_acog_mp'] = "Dragunov ACOG";
$w['dragunov_mp'] = "Dragunov";
$w['flash_grenade_mp'] = "Flash Grenade";
$w['frag_grenade_mp'] = "Frag Grenade";
$w['frag_grenade_short_mp'] = "Short Fuse Frag Grenade";
$w['g3_acog_mp'] = "G3 ACOG";
$w['g3_gl_mp'] = "G3 Grenade Launcher";
$w['g3_mp'] = "G3";
$w['g3_reflex_mp'] = "G3 Reflex";
$w['g3_silencer_mp'] = "G3 Silencer";
$w['g36c_acog_mp'] = "G36c ACOG";
$w['g36c_gl_mp'] = "G36c Grenade Launcher";
$w['g36c_mp'] = "G36c";
$w['g36c_reflex_mp'] = "G36c Reflex";
$w['g36c_silencer_mp'] = "G36c Silencer";
$w['gl_ak47_mp'] = "Grenade Launcher AK-47";
$w['gl_g3_mp'] = "Grenade Launcher G3";
$w['gl_g36c_mp'] = "Grenade Launcher G36c";
$w['gl_m4_mp'] = "Grenade Launcher M4";
$w['gl_m14_mp'] = "Grenade Launcher M14";
$w['gl_m16_mp'] = "Grenade Launcher M16";
$w['gl_mp'] = "Grenade Launcher";
$w['helicopter_mp'] = "Helicopter";
$w['hind_ffar_mp'] = "HIND Rocket";
$w['humvee_50cal_mp'] = "Humvee .50 cal.";
$w['TT30_mp'] = "TT 30";
$w['location_selector_mp'] = "Location Selector";
$w['m4_acog_mp'] = "M4 ACOG";
$w['m4_gl_mp'] = "M4 Grenade Launcher";
$w['m4_mp'] = "M4";
$w['m4_reflex_mp'] = "M4 Reflex";
$w['m4_silencer_mp'] = "M4 Silencer";
$w['m14_acog_mp'] = "M14 ACOG";
$w['landmine_mp'] = "Landmine";
$w['m14_gl_mp'] = "M14 Grenade Launcher";
$w['m14_mp'] = "M14";
$w['m14_reflex_mp'] = "M14 Reflex";
$w['m14_silencer_mp'] = "M14 Silencer";
$w['m16_acog_mp'] = "M16 ACOG";
$w['m16_gl_mp'] = "M16 Grenade Launcher";
$w['m16_mp'] = "M16";
$w['m16_reflex_mp'] = "M16 Reflex";
$w['m16_silencer_mp'] = "M16 Silencer";
$w['m21_acog_mp'] = "M21 ACOG";
$w['m21_mp'] = "M21";
$w['m40a3_acog_mp'] = "M40A3 ACOG";
$w['m40a3_mp'] = "M40A3";
$w['m60e4_acog_mp'] = "M60E4 ACOG";
$w['m60e4_grip_mp'] = "M60E4 Grip";
$w['m60e4_mp'] = "M60E4";
$w['m60e4_reflex_mp'] = "M60E4 Reflex";
$w['m1014_grip_mp'] = "M1014 Grip";
$w['m1014_mp'] = "M1014";
$w['m1014_reflex_mp'] = "M1014 Reflex";
$w['mp5_acog_mp'] = "MP5 ACOG";
$w['mp5_mp'] = "MP5";
$w['mp5_reflex_mp'] = "MP5 Reflex";
$w['mp5_silencer_mp'] = "MP5 Silencer";
$w['mp44_mp'] = "MP44";
$w['p90_acog_mp'] = "P90 ACOG";
$w['p90_mp'] = "P90";
$w['p90_reflex_mp'] = "P90 Reflex";
$w['p90_silencer_mp'] = "P90 Silencer";
$w['radar_mp'] = "Radar";
$w['remington700_acog_mp'] = "Remington 700 ACOG";
$w['remington700_mp'] = "Remington 700";
$w['rpd_acog_mp'] = "RPD ACOG";
$w['rpd_grip_mp'] = "RPD Grip";
$w['rpd_mp'] = "RPD";
$w['rpd_reflex_mp'] = "RPD Reflex";
$w['rpg_mp'] = "RPG";
$w['saw_acog_mp'] = "SAW ACOG";
$w['saw_bipod_crouch_mp'] = "SAW Bipod Crouched";
$w['saw_bipod_prone_mp'] = "SAW Bipod Prone";
$w['saw_bipod_stand_mp'] = "SAW Bipod Standing";
$w['saw_grip_mp'] = "SAW Grip";
$w['saw_mp'] = "SAW";
$w['saw_reflex_mp'] = "SAW Reflex";
$w['skorpion_acog_mp'] = "Skorpion ACOG";
$w['skorpion_mp'] = "Skorpion";
$w['skorpion_reflex_mp'] = "Skorpion Reflex";
$w['skorpion_silencer_mp'] = "Skorpion Silencer";
$w['smoke_grenade_mp'] = "Smoke Grenade";
$w['usp_mp'] = "USP";
$w['usp_silencer_mp'] = "USP Silencer";
$w['uzi_acog_mp'] = "UZI ACOG";
$w['uzi_mp'] = "UZI";
$w['uzi_reflex_mp'] = "UZI Reflex";
$w['uzi_silencer_mp'] = "UZI Silencer";
$w['winchester1200_grip_mp'] = "Winchester 1200 Grip";
$w['winchester1200_mp'] = "Winchester 1200";
$w['winchester1200_reflex_mp'] = "Winchester 1200 Reflex";
$w['mod_melee'] = "Knife";
$w['mod_falling'] = "Falling";

//No weapon? 
$w['none'] = "Bad luck...";

//*********************
// Map names
//*********************
// Stock CoD
$m['mp_backlot'] = "Backlot";
$m['mp_bloc'] = "Bloc";
$m['mp_bog'] = "Bog";
$m['mp_cargoship'] = "Wet Work";
$m['mp_citystreets'] = "City Streets";
$m['mp_convoy'] = "Convoy";
$m['mp_countdown'] = "Countdown";
$m['mp_crash'] = "Crash";
$m['mp_crossfire'] = "Crossfire";
$m['mp_farm'] = "Down Pour";
$m['mp_overgrown'] = "Overgrown";
$m['mp_pipeline'] = "Pipeline";
$m['mp_shipment'] = "Shipment";
$m['mp_showdown'] = "Showdown";
$m['mp_strike'] = "Strike";
$m['mp_vacant'] = "Vacant";
$m['mp_crash_snow'] = "Winter Crash";

// Custom Maps
$m['mp_backlot_night'] = "Backlot (Night)";
$m['mp_village'] = "Village";
$m['mp_village_night'] = "Village (Night)";
$m['mp_qmx_matmata'] = "Matmata";

//*********************
// Event names
//*********************
$e['bomb_plant'] = "Bomb Plant";
$e['bomb_defuse'] = "Bomb Defuse";
$e['re_pickup'] = "Pickup";
$e['re_capture'] = "Capture";
$e['re_drop'] = "Drop";


//*********************
// Bodypart names
//*********************
$b['head'] = "Head";
$b['neck'] = "Neck";
$b['torso_lower'] = "Abdomen";
$b['torso_upper'] = "Chest";
$b['left_arm_upper'] = "Left Arm (Upper)";
$b['left_arm_lower'] = "Left Arm (Lower)";
$b['left_hand'] = "Left Hand";
$b['right_arm_upper'] = "Right Arm (Upper)";
$b['right_arm_lower'] = "Right Arm (Lower)";
$b['right_hand'] = "Right Arm";
$b['left_leg_upper'] = "Left Leg (Upper)";
$b['left_leg_lower'] = "Left Leg (Lower)";
$b['left_foot'] = "Left Foot";
$b['right_leg_upper'] = "Right Leg (Upper)";
$b['right_leg_lower'] = "Right Leg (Lower)";
$b['right_foot'] = "Right Foot";
$b['none'] = "Total Disruption";


//*******************
// Global award names and descriptions
//*******************

$a_name['winstreak'] = "Serial Killer Award";
$a_desc['winstreak'] = "Win streak";

$a_name['losestreak'] = "Needs Practice Award";
$a_desc['losestreak'] = "Loss streak";

$a_name['rounds'] = "Nothing Better to Do Award";
$a_desc['rounds'] = "Most rounds played";

$a_name['teamkills'] = "Most Likely to Be Executed at Dawn Award";
$a_desc['teamkills'] = "Most Teamkills";

$a_name['teamdeaths'] = "Send Joey, He'll do Anything Award";
$a_desc['teamdeaths'] = "Most Teamdeaths";

$a_name['suicides'] = "Gene Pool Cleaner Award";
$a_desc['suicides'] = "Most suicides";

?>
